Subject: Re: Need Benchmark Stats
From: "Michael D. Crawford" <[email-masked]>
To: [email-masked]
Date: Mon, 02 Sep 2002 09:35:42 -0400

Maybe it would be helpful to port some Linux validation test tools to Cygwin, 
then one could test both for correctness and speed.

There are a couple packages for testing Linux system calls:

http://ltp.sourceforge.net/
http://www.linuxbase.org/test/

 From what I read before, the Linux Standards Base has two suites, one for 
testing filesystem layout and the other for testing system call POSIX compliance.

So what I'm suggesting is that you use these tools to test that your emulated 
system calls work correctly.  I would imagine the tools can be gotten to report 
the time they take, so capture that in a file and test on a variety of 
configurations and post it on the website.

Mike
-- 
Michael D. Crawford
GoingWare Inc. - Expert Software Development and Consulting
http://www.goingware.com/
[email-masked]

      Tilting at Windmills for a Better Tomorrow.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/